piecewise(6x)

NAME
piecewise - lots of moving circles intersecting in interesting ways.

SYNOPSIS
piecewise [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--count number] [--ncolors number] [--colorspeed number] [--minradius number] [--maxradius number] [--no-db] [--fps]

DESCRIPTION
This draws a bunch of moving circles which switch from visibility to invisibility when they intersect.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 5000 (0.01 seconds.).

--count number
    Number of circles. Default: 32.

--ncolors number
    Number of colors, only one of which is used at a time. Default: 256.

--colorspeed number
    How fast the color changes (0 - 100). Default: 10.

--minradius number
    Minimum circle radius (as a proportion of screen height). Default: 0.05.

--maxradius number
    Maximum circle radius (as a proportion of screen height). Default: 0.2.

--db | --no-db
    Whether to double buffer.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by Geoffrey Irving. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Geoffrey Irving.